/*
 * @(#)ReplaceCommand.java 5.1
 *
 */

package CH.ifa.draw.standard;

import de.renew.draw.ui.ontology.AbstractCommand;


/**
 *  The SearchCommand builds a SearchReplaceFrame
 *  in the SEARCHREPLACEMODE.
 * @deprecated This class is not to be used externally and will later be hidden.
 */
@Deprecated(since = "5.0", forRemoval = true)
@SuppressWarnings("removal")
public class ReplaceCommand extends AbstractCommand {
    private final SearchReplaceFrame _replaceFrame;

    public ReplaceCommand(String name) {
        super(name);
        _replaceFrame = new SearchReplaceFrame(SearchReplaceFrame.SEARCHREPLACEMODE);
    }

    @Override
    public void execute() {
        _replaceFrame.reset();
        _replaceFrame.setVisible(true);
    }

    @Override
    public boolean isExecutable() {
        return super.isExecutable();
    }
}